Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.persistence
Enum MetaDataTag

    java.lang.Object
      java.lang.Enum<MetaDataTag>
          org.apache.openjpa.persistence.MetaDataTag

All Implemented Interfaces:
  Serializable, Comparable<MetaDataTag>

    public enum MetaDataTag

extends Enum<MetaDataTag>

Set of metadata tags used in JPA.

Author:
  Abe White

Enum Constant Summary
`ACCESS`
`CACHEABLE`
`DATA_CACHE`
`DATASTORE_ID`
`DEPENDENT`
`DETACHED_STATE`
`ELEM_DEPENDENT`
`ELEM_TYPE`
`EMBEDDABLE`
`EMBEDDED_ID`
`ENTITY`
`ENTITY_LISTENERS`
`EXCLUDE_DEFAULT_LISTENERS`
`EXCLUDE_SUPERCLASS_LISTENERS`
`EXTERNAL_VAL`
`EXTERNAL_VALS`
`EXTERNALIZER`
`FACTORY`
`FETCH_ATTRIBUTE`
`FETCH_GROUP`
`FETCH_GROUPS`
`FLUSH_MODE`
`GENERATED_VALUE`
`ID`
`ID_CLASS`
`INVERSE_LOGICAL`
`KEY_DEPENDENT`
`KEY_TYPE`
`LOAD_FETCH_GROUP`
`LOB`
`LRS`
`MANAGED_INTERFACE`
`MAP_KEY`
`MAP_KEY_CLASS`
`MAPPED_BY_ID`
`MAPPED_SUPERCLASS`
`NATIVE_QUERIES`
`NATIVE_QUERY`
`OPENJPA_VERSION`
`ORDER_BY`
`ORDER_COLUMN`
`POST_LOAD`
`POST_PERSIST`
`POST_REMOVE`
`POST_UPDATE`
`PRE_PERSIST`
`PRE_REMOVE`
`PRE_UPDATE`
`QUERIES`
`QUERY`
`QUERY_HINT`
`QUERY_STRING`
`READ_ONLY`
`REFERENCED_FETCH_GROUP`
`REPLICATED`
`SEQ_GENERATOR`
`TYPE`
`VERSION`

Method Summary
`static MetaDataTag` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MetaDataTag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ACCESS

    public static final MetaDataTag ACCESS

### CACHEABLE

    public static final MetaDataTag CACHEABLE

### MAPPED_SUPERCLASS

    public static final MetaDataTag MAPPED_SUPERCLASS

### ENTITY

    public static final MetaDataTag ENTITY

### EMBEDDABLE

    public static final MetaDataTag EMBEDDABLE

### ENTITY_LISTENERS

    public static final MetaDataTag ENTITY_LISTENERS

### FLUSH_MODE

    public static final MetaDataTag FLUSH_MODE

### GENERATED_VALUE

    public static final MetaDataTag GENERATED_VALUE

### ID

    public static final MetaDataTag ID

### EMBEDDED_ID

    public static final MetaDataTag EMBEDDED_ID

### EXCLUDE_DEFAULT_LISTENERS

    public static final MetaDataTag EXCLUDE_DEFAULT_LISTENERS

### EXCLUDE_SUPERCLASS_LISTENERS

    public static final MetaDataTag EXCLUDE_SUPERCLASS_LISTENERS

### ID_CLASS

    public static final MetaDataTag ID_CLASS

### LOB

    public static final MetaDataTag LOB

### MAP_KEY

    public static final MetaDataTag MAP_KEY

### MAP_KEY_CLASS

    public static final MetaDataTag MAP_KEY_CLASS

### MAPPED_BY_ID

    public static final MetaDataTag MAPPED_BY_ID

### NATIVE_QUERIES

    public static final MetaDataTag NATIVE_QUERIES

### NATIVE_QUERY

    public static final MetaDataTag NATIVE_QUERY

### QUERY_STRING

    public static final MetaDataTag QUERY_STRING

### ORDER_BY

    public static final MetaDataTag ORDER_BY

### ORDER_COLUMN

    public static final MetaDataTag ORDER_COLUMN

### QUERIES

    public static final MetaDataTag QUERIES

### QUERY

    public static final MetaDataTag QUERY

### QUERY_HINT

    public static final MetaDataTag QUERY_HINT

### POST_LOAD

    public static final MetaDataTag POST_LOAD

### POST_PERSIST

    public static final MetaDataTag POST_PERSIST

### POST_REMOVE

    public static final MetaDataTag POST_REMOVE

### POST_UPDATE

    public static final MetaDataTag POST_UPDATE

### PRE_PERSIST

    public static final MetaDataTag PRE_PERSIST

### PRE_REMOVE

    public static final MetaDataTag PRE_REMOVE

### PRE_UPDATE

    public static final MetaDataTag PRE_UPDATE

### SEQ_GENERATOR

    public static final MetaDataTag SEQ_GENERATOR

### VERSION

    public static final MetaDataTag VERSION

### DATA_CACHE

    public static final MetaDataTag DATA_CACHE

### DATASTORE_ID

    public static final MetaDataTag DATASTORE_ID

### DEPENDENT

    public static final MetaDataTag DEPENDENT

### DETACHED_STATE

    public static final MetaDataTag DETACHED_STATE

### ELEM_DEPENDENT

    public static final MetaDataTag ELEM_DEPENDENT

### ELEM_TYPE

    public static final MetaDataTag ELEM_TYPE

### EXTERNAL_VALS

    public static final MetaDataTag EXTERNAL_VALS

### EXTERNAL_VAL

    public static final MetaDataTag EXTERNAL_VAL

### EXTERNALIZER

    public static final MetaDataTag EXTERNALIZER

### FACTORY

    public static final MetaDataTag FACTORY

### FETCH_GROUP

    public static final MetaDataTag FETCH_GROUP

### FETCH_GROUPS

    public static final MetaDataTag FETCH_GROUPS

### FETCH_ATTRIBUTE

    public static final MetaDataTag FETCH_ATTRIBUTE

### REFERENCED_FETCH_GROUP

    public static final MetaDataTag REFERENCED_FETCH_GROUP

### INVERSE_LOGICAL

    public static final MetaDataTag INVERSE_LOGICAL

### KEY_DEPENDENT

    public static final MetaDataTag KEY_DEPENDENT

### KEY_TYPE

    public static final MetaDataTag KEY_TYPE

### LOAD_FETCH_GROUP

    public static final MetaDataTag LOAD_FETCH_GROUP

### LRS

    public static final MetaDataTag LRS

### MANAGED_INTERFACE

    public static final MetaDataTag MANAGED_INTERFACE

### READ_ONLY

    public static final MetaDataTag READ_ONLY

### TYPE

    public static final MetaDataTag TYPE

### REPLICATED

    public static final MetaDataTag REPLICATED

### OPENJPA_VERSION

    public static final MetaDataTag OPENJPA_VERSION

Method Detail

### values

    public static MetaDataTag[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MetaDataTag c : MetaDataTag.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MetaDataTag valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.